# gce_eip – Create or Destroy Global or Regional External IP addresses

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create (reserve) or Destroy (release) Regional or Global IP Addresses. See https://cloud.google.com/compute/docs/configure-instance-ip-addresses#reserve_new_static for more on reserving static addresses.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- apache-libcloud >= 0.19.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of Address.
region - / required |  | Region to create the address in. Set to 'global' to create a global address.

state
-

Choices:
- present ←
- absent

The state the address should be in. `present` or `absent` are the only valid options.

## Notes

Note

- Global addresses can only be used with Global Forwarding Rules.

## Examples

    # Create a Global external IP address
    - gce_eip:
        service_account_email: "{{ service_account_email }}"
        credentials_file: "{{ credentials_file }}"
        project_id: "{{ project_id }}"
        name: my-global-ip
        region: global
        state: present

    # Create a Regional external IP address
    - gce_eip:
        service_account_email: "{{ service_account_email }}"
        credentials_file: "{{ credentials_file }}"
        project_id: "{{ project_id }}"
        name: my-global-ip
        region: us-east1
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
address string | always | IP address being operated on Sample: 35.186.222.233
name string | always | name of the address being operated on Sample: my-address
region string | always | Which region an address belongs. Sample: global

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tom Melendez (@supertom) <tom@supertom.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.